Update a signer
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/signers/{signer_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"is_deceased": true,
"date_added": "2023-12-25",
"date_removed": "2023-12-25"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/signers/{signer_id}"
payload = {
"name": "<string>",
"is_deceased": True,
"date_added": "2023-12-25",
"date_removed": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
is_deceased: true,
date_added: '2023-12-25',
date_removed: '2023-12-25'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/signers/{signer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K6SG02BJ0T77HRYE78AN7STU",
"name": "John Jonas Johnson",
"role": "primary_holder",
"is_deceased": true,
"date_added": "2023-12-25",
"date_removed": "2023-12-25"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Signers
Update a signer
Update signer information.
PATCH
/
cases
/
{case_id}
/
bank-accounts
/
{account_id}
/
signers
/
{signer_id}
Update a signer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Response
Signer updated.
Show child attributes
Show child attributes
⌘I

